Name:           libecap
Version:        1.0.1
Release:        8
Summary:        an loadable eCAP adapter for Squid HTTP-Proxy
License:        BSD
URL:            http://www.e-cap.org/
Source0:        http://www.e-cap.org/archive/%{name}-%{version}.tar.gz

Source1:        autoconf.h
Patch1000:      1000-add-sw_64-support-not-upstream-modified-files.patch 
Patch1001:      1001-add-loongarch64-support-not-upstream-modified-files.patch
BuildRequires:  git gcc gcc-c++

%description
eCAP is a software interface that allows a network application,
such as an HTTP proxy or an ICAP server, to outsource content
analysis and adaptation to a loadable module.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
Development files for %{name}

%package        help
Summary:        Help files for %{name}
BuildArch:	noarch
%description    help
Help files for %{name}

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%configure
%make_build

%install
%make_install
pushd %{buildroot}%{_includedir}/%{name}/common
mv autoconf.h autoconf-%{_arch}.h
install -m0644 %{SOURCE1} .
popd
%delete_la_and_a

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CREDITS LICENSE NOTICE
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}.so
%{_includedir}/%{name}*
%{_libdir}/pkgconfig/%{name}.pc

%files help
%defattr(-,root,root)
%doc README

%changelog
* Mon Sep 25 2023 panchenbo <panchenbo@kylinsec.com.cn> - 1.0.1-8
- add loongarch64 sw_64 support and code integration

* Fri Jan 6 2023 doupengda <doupengda@loongson.cn> 1.0.1-7
- update config.guess and config.sub
- fix SOURCE1 file autoconf.h '__loongarch64__' to '__loongarch64'

* Fri Dec 16 2022 zhangzhixin <zhixin.zhang@i-soft.com.cn> - 1.0.1-6
- Add sw64 arch patch

* Thu Dec 1 2022 zhaozhen <zhaozhen@loongson.cn> - 1.0.1-5
- Add loongarch64 support

* Wed Aug 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.1-4
- Package init
